using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ViolationNOT
{
    /// <summary>
    /// Interaction logic for UserPage.xaml
    /// </summary>
    public partial class UserPage : Page
    {
        public UserPage()
        {
            InitializeComponent();
            int UserID = Helper.AuthUser.UserID;
            RequestList.ItemsSource = DB.db.Violation.Where(x => x.IDUser == UserID).ToList();
            
        }

        private void BtnNewViolation_Click(object sender, RoutedEventArgs e)
        {
            ManagerFrame.MainFrame.Navigate(new NewViolationPage());
        }
    }
}
